Loading...
Searching...
No Matches
Custom::Vec< DIM > Class Template Reference

A Vector class with the absolute minimum of built-in methods to test the interface expected from Vectors used in Traits. More...

`#include <Unittests/unittests_common_customtraits.hh>`

## Public Member Functions

| Vec (float x)
| Vec (float x, float y)
| Vec (float x, float y, float z)
| Vec (float x, float y, float z, float w)
| Vec (Vec< DIM > const &)=default
float & | operator[] (int i)
float | operator[] (int i) const

## Detailed Description

template<int DIM>
class Custom::Vec< DIM >

A Vector class with the absolute minimum of built-in methods to test the interface expected from Vectors used in Traits.

The documentation for this class was generated from the following file:

- Unittests/unittests_common_customtraits.hh